%global srcname PyOpenGL

Summary:	Python bindings for OpenGL
Name:		python-opengl
Version:	3.1.5
Release:	%mkrel 1
License:	BSD
Group:		System/Libraries
URL:		https://libraries.io/pypi/PyOpenGL
Source0:        https://pypi.python.org/packages/source/P/%{srcname}/%{srcname}-%{version}.tar.gz
Source1:        https://pypi.python.org/packages/source/P/%{srcname}-accelerate/%{srcname}-accelerate-%{version}.tar.gz
BuildRequires:	pkgconfig(freeglut)
BuildRequires:	swig
BuildRequires:	tcl
BuildRequires:	pkgconfig(tcl)
BuildRequires:	tk
BuildRequires:	pkgconfig(tk)
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-setuptools
BuildRequires:	python3-numpy-devel
BuildRequires:  python3-cython
Provides:	%{name}-doc
Requires:	lib64freeglut3

%description
Python bindings for OpenGL

%package	tk
Summary:	PyOpenGL Tk widget
Group:		System/Libraries
BuildArch:	noarch
Requires:	%{name} = %{version}
Requires:	tkinter

%description	tk
PyOpenGL Togl (Tk OpenGL widget) 1.6 support.

%package -n python3-opengl
Summary:	Python3 bindings for OpenGL
Group:		System/Libraries
Provides:	python3-opengl-doc
Requires:	lib64freeglut3
Requires:	python3-numpy

%description -n python3-opengl
Python3 bindings for OpenGL

%package -n python3-opengl-tk
Summary:	PyOpenGL Tk widget
Group:		System/Libraries
BuildArch:	noarch
Requires:	python3-opengl = %{version}
Requires:	tkinter3

%description -n python3-opengl-tk
PyOpenGL Togl (Tk OpenGL widget) 1.6 support.

%prep
%setup -q -c -n %{srcname}-%{version} -T -a0 -a1

%build
# Delete all Cython generated .c files to force a rebuild in py3_build
# (py2_build then reuses the Cython output)
pushd %{srcname}-accelerate-%{version}/src
for f in *.pyx ; do
    rm -f "${f%.pyx}.c"
done
popd

for dir in %{srcname}-%{version} %{srcname}-accelerate-%{version} ; do
    pushd $dir
    %py3_build
    popd
done

%install
for dir in %{srcname}-%{version} %{srcname}-accelerate-%{version} ; do
    pushd $dir
    %py3_install
    popd
done

%files -n python3-opengl
%{python3_sitelib}/%{srcname}-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/OpenGL/
%exclude %{python3_sitelib}/OpenGL/Tk
%{python3_sitearch}/OpenGL_accelerate/
%{python3_sitearch}/%{srcname}_accelerate-%{version}-py%{python3_version}.egg-info/

%files -n python3-opengl-tk
%{python3_sitelib}/OpenGL/Tk

%changelog
* Thu Aug 04 2022 tex - 3.1.5-1pclos2022
- new version
